/* $Id: rpfcd.h,v 1.11 2002/10/17 10:03:58 haver Exp $ */

/*
 * Copyright (c) 2002 Srebrenko Sehic <haver@insecure.dk>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */ 

#ifndef _RPFCD_H_
#define _RPFCD_H_

/*
 * Version information.
 */
#define RPFCD_VERSION	"RPFCD_0.10"

/*
 * Default rpfcd port.
 */
#define RPFCD_DEFAULT_PORT	2620

/*
 * Maximum number of concurrent clients allowed:
 */
#define RPFCP_MAX_CLIENTS	5

/*
 * Default chroot(2) directory.
 */
#define RPFCD_CHROOT	"/var/empty"

/*
 * UID running the actual process/child serving the request.
 */
#define RPFCD_UID	1000

/*
 * Filename containing user entries.
 */
#define RPFCD_USERS		"/etc/rpfcd/rpfcd.users"

/*
 * Various SSL related files.
 */
#define RPFCD_CERT	"/etc/rpfcd/cert.pem"

#endif
